Bug 442151 - use wait_queue_head_t to cause kernel crash on redhat3u9 on x86_64
use wait_queue_head_t to cause kernel crash on redhat3u9 on x86_64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.9
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Don Howard
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 23:34 EDT by Gang He
Modified: 2008-07-02 14:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 14:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug source code (3.82 KB, application/x-zip-compressed)
2008-04-11 23:34 EDT, Gang He
no flags Details

  None (edit)
Description Gang He 2008-04-11 23:34:32 EDT
Hi all,

I found a fatal bug in Redhat Enterprise Server 3 Update 9
<2.4.21-50.EL> on x86_64 when I used "wait_queue_head_t" data
structure, the same program works very well on i386, but porting it to
x86_64 will bring Linux kernel crash, who can help to take a look at
it, thanks.
all source code are as follows:
ghe.c - kernel module source file
mk.sh - command lines to compile all source files
read.c - read operation
write.c - write operation
rhel3u9-64bit.txt - oops output

Reproduce bug:
1) run  "./mk.sh" to compile all source files
2) run "insmod ghe.o" to insert kernel module to kernel
3) run "mknod /dev/ghe xxx" to create char device file
4) run "./devread" to read data from /dev/ghe
5) run "./devwrite" to write data to /dev/ghe, bug will take place.
Comment 1 Gang He 2008-04-11 23:34:32 EDT
Created attachment 302190 [details]
bug source code
Comment 2 Gang He 2008-04-13 10:02:12 EDT
Any engineer can take a look at it, thanks!
Comment 3 Eric Sandeen 2008-05-18 14:01:22 EDT
From all appearances, this is most likely a bug in your driver, not in the
kernel, and hence probably not appropriate to file it as a bug against the RHEL3
kernel.

Note You need to log in before you can comment on or make changes to this bug.